Subject: bug#3465: 23.0.94; feature request: be able to log minibuffer messages

From: Drew Adams <[email-masked]>
Date: Sat, 22 Aug 2020 12:17:16 -0700 (PDT)

> > The request is to be able to have `minibuffer-message'
> > output logged, WITHOUT calling `message'.
> 
> Why "without"?

Treat `minibuffer-message' as first-class, the same
way `message' is treated.  `message' shouldn't affect
`minibuffer-message', and vice versa.

`message' has an easy way to do what's requested;
`minibuffer-message' does not have one.

> > It's about simply controlling logging for
> > `minibuffer-message', totally, completely, independent
> > of any use of `message'.
> 
> You want every single call to minibuffer-message to be logged in
> *Messages*?  I'm guessing not, because this would make no sense.

Not at all.  What makes you think that?

I think I made it clear that the request is to be able
to have, for `minibuffer-message', control over logging
similar to what we have for `message'.

They are separate.  They should remain separate.
All that's being requested is logging control
for `minibuffer-message' that's on a par with the
logging control for `message'.

> If you want to log only _some_ calls to minibuffer-message, then you
> will have to have special code to request that in those places where
> you want the minibuffer messages to be logged.  I'm saying that you
> can easily call 'message' in those places, and be done with that.

What I want is to be able to do with and for
`minibuffer-message' what I can do with and for
`message'.  Without any use of `message' - no
connection between the two, no dependence of
either on the other.

> > IOW, please forget about `message'.  The request is
> > for a simple way to (optionally) log output of
> > `minibuffer-message', just as we do, for example for
> > `message' output.  And without recourse to any call
> > to `message' - no workaround, just a simple way to
> > log `minibuffer-message'.  We have such a way for
> > `message' output.  The request is for such a way for
> > `minibuffer-message' output - totally independent
> > from `message'.
> 
> You cannot request a feature and then also dictate
> how it is implemented.

I in no way dictated anything about implementation.
I have said absolutely nothing about implementation.

The entire request is expressed in terms of behavior:
user-visible, user-controllable behavior.  Nothing
about implementation.  It's about what users can do.

> The solution I proposed should do what you want without
> requiring any changes to the core.

See above.  It doesn't do what was requested.

> > > You are already able to do that, AFAICT.
> >
> > Not simply.
> 
> It's simple enough, from where I stand.  Certainly
> so for a minor feature such as this one.